## gimpparasiteio

gimpparasiteio — Utility functions to (de)serialize certain C structures to/from GimpParasite's.

## Functions

void | gimp_pixpipe_params_init ()
void | gimp_pixpipe_params_free ()
void | gimp_pixpipe_params_parse ()
gchar * | gimp_pixpipe_params_build ()

## Types and Values

#define | GIMP_PIXPIPE_MAXDIM
struct | GimpPixPipeParams

## Description

Utility functions to (de)serialize certain C structures to/from* GimpParasite's.

## Functions

### gimp_pixpipe_params_init ()

    void
    gimp_pixpipe_params_init (GimpPixPipeParams *params);

### gimp_pixpipe_params_free ()

    void
    gimp_pixpipe_params_free (GimpPixPipeParams *params);

### gimp_pixpipe_params_parse ()

    void
    gimp_pixpipe_params_parse (const gchar *parameters,
                               GimpPixPipeParams *params);

### gimp_pixpipe_params_build ()

    gchar *
    gimp_pixpipe_params_build (GimpPixPipeParams *params);

## Types and Values

### GIMP_PIXPIPE_MAXDIM

    #define GIMP_PIXPIPE_MAXDIM 4

### struct GimpPixPipeParams

    struct GimpPixPipeParams {
      gint      step;
      gint      ncells;
      gint      dim;
      gint      cols;
      gint      rows;
      gint      cellwidth;
      gint      cellheight;
      gchar    *placement;
      gboolean  free_placement_string;
      gint      rank[GIMP_PIXPIPE_MAXDIM];
      gchar    *selection[GIMP_PIXPIPE_MAXDIM];
      /* this flag is now useless. All selection strings are allocated. */
      gboolean  free_selection_string;
    };

PLease somebody help documenting this.

#### Members

gint `step`; | Step |
gint `ncells`; | Number of cells |
gint `dim`; | Dimension |
gint `cols`; | Columns |
gint `rows`; | Rows |
gint `cellwidth`; | Cell width |
gint `cellheight`; | Cell height |
gchar *`placement`; | Placement |
gboolean `free_placement_string`; | Unused, ignore |
gint `rank`[GIMP_PIXPIPE_MAXDIM]; | Rank |
gchar *`selection`[GIMP_PIXPIPE_MAXDIM]; | Selection |
gboolean `free_selection_string`; | Unused, ignore |

## See Also

GimpParasite